Subject: [bug#50081] [PATCH core-updates-frozen v2] gnu: texlive-texmf: Disable LuaJIT engines on powerpc64*

From: Thiago Jung Bauermann <[email-masked]>
Date: Thu, 19 Aug 2021 21:41:40 -0300

Hello Efraim,

Em quinta-feira, 19 de agosto de 2021, às 03:52:26 -03, Efraim Flashner 
escreveu:
> On Thu, Aug 19, 2021 at 01:51:56AM -0300, Thiago Jung Bauermann wrote:
> > Em quarta-feira, 18 de agosto de 2021, às 07:39:21 -03, Efraim Flashner
> > escreveu:
> > > We now have a target-ppc64le? option which should be useful here.
> > 
> > Yes, that’s a nice code improvement. But unfortunately it’s mutually
> > exclusive with Maxime’s request to match against “powerpc64*”.
> > 
> > If people think the ‘target-ppc64le?’ alternative would be better than
> > the “powerpc64*” one, I can send a v3.
> 
> IMO since powerpc64-linux isn't an actually supported architecture in
> Guix we can ignore it for now and focus on powerpc64le.

I agree with you. I’ll send a v3 then.

> As far as powerpc, as I'm the only one using it (I believe) you can 
> pretty much treat it like mips64el; try not to affect it unnecessarily 
> but no testing needed.

Ok, thanks.

As an aside, I tried building a powerpc64le kernel with CONFIG_COMPAT set 
to see if it would allow running 32-bit binaries but it fails during 
linking. The 32-bit support feature apparently bit-rotted.

-- 
Thanks,
Thiago